Skip to main content
Settings/AD/LDAP/OAuth Operations

GetCandidateLdapEntryForBinding

GetCandidateLdapEntryForBinding

GET/zstack/v1/ldap/entries/candidates

Operation ID

GetCandidateLdapEntryForBinding

Since

2.2

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • ldapFilter
    StringRequired

    The query condition.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

  • limit
    Integer

    Optional. The maximum number of returned records. This parameter is similar to the limit field of MySQL.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • inventories
    ListRequired

    The inventories.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.